Index: branches/1.3/gui/scripts/vtkheightmapviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkheightmapviewer.tcl	(revision 4828)
+++ branches/1.3/gui/scripts/vtkheightmapviewer.tcl	(revision 4848)
@@ -1964,7 +1989,7 @@
     itk_component add opacity {
         ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
-            -variable [itcl::scope _settings(-opacity)] \
+            -variable [itcl::scope _settings(opacity)] \
             -showvalue off \
-            -command [itcl::code $this AdjustSetting -opacity]
+            -command [itcl::code $this AdjustSetting opacity]
     }
     itk_component add scale_l {
@@ -1975,7 +2000,7 @@
     itk_component add scale {
         ::scale $inner.scale -from 0 -to 100 -orient horizontal \
-            -variable [itcl::scope _settings(-heightmapscale)] \
+            -variable [itcl::scope _settings(heightmapScale)] \
             -showvalue off \
-            -command [itcl::code $this AdjustSetting -heightmapscale]
+            -command [itcl::code $this AdjustSetting heightmapScale]
     }
     label $inner.numisolines_l -text "Number of Isolines" -font "Arial 9"
@@ -1984,7 +2009,7 @@
             -min 0 -max 50 -font "arial 9"
     }
-    $itk_component(numisolines) value $_settings(-numisolines)
+    $itk_component(numisolines) value $_settings(numIsolines)
     bind $itk_component(numisolines) <<Value>> \
-        [itcl::code $this AdjustSetting -numisolines]
+        [itcl::code $this AdjustSetting numIsolines]
 
     frame $inner.separator1 -height 2 -relief sunken -bd 1
@@ -2033,33 +2058,34 @@
     checkbutton $inner.visible \
         -text "Axes" \
-        -variable [itcl::scope _settings(-axisvisible)] \
-        -command [itcl::code $this AdjustSetting -axisvisible] \
+        -variable [itcl::scope _settings(axisVisible)] \
+        -command [itcl::code $this AdjustSetting axisVisible] \
         -font "Arial 9"
     checkbutton $inner.labels \
         -text "Axis Labels" \
-        -variable [itcl::scope _settings(-axislabels)] \
-        -command [itcl::code $this AdjustSetting -axislabels] \
+        -variable [itcl::scope _settings(axisLabels)] \
+        -command [itcl::code $this AdjustSetting axisLabels] \
         -font "Arial 9"
     label $inner.grid_l -text "Grid" -font "Arial 9" 
     checkbutton $inner.xgrid \
         -text "X" \
-        -variable [itcl::scope _settings(-xgrid)] \
-        -command [itcl::code $this AdjustSetting -xgrid] \
+        -variable [itcl::scope _settings(axisXGrid)] \
+        -command [itcl::code $this AdjustSetting axisXGrid] \
         -font "Arial 9"
     checkbutton $inner.ygrid \
         -text "Y" \
-        -variable [itcl::scope _settings(-ygrid)] \
-        -command [itcl::code $this AdjustSetting -ygrid] \
+        -variable [itcl::scope _settings(axisYGrid)] \
+        -command [itcl::code $this AdjustSetting axisYGrid] \
         -font "Arial 9"
     checkbutton $inner.zgrid \
         -text "Z" \
-        -variable [itcl::scope _settings(-zgrid)] \
-        -command [itcl::code $this AdjustSetting -zgrid] \
+        -variable [itcl::scope _settings(axisZGrid)] \
+        -command [itcl::code $this AdjustSetting axisZGrid] \
         -font "Arial 9"
     checkbutton $inner.minorticks \
         -text "Minor Ticks" \
-        -variable [itcl::scope _settings(-axisminorticks)] \
-        -command [itcl::code $this AdjustSetting -axisminorticks] \
+        -variable [itcl::scope _settings(axisMinorTicks)] \
+        -command [itcl::code $this AdjustSetting axisMinorTicks] \
         -font "Arial 9"
+
 
     label $inner.mode_l -text "Mode" -font "Arial 9" 
@@ -2073,6 +2099,6 @@
         "furthest_triad"  "farthest" \
         "outer_edges"     "outer"         
-    $itk_component(axisflymode) value $_settings(-axisflymode)
-    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting -axisflymode]
+    $itk_component(axisflymode) value "static"
+    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting axisFlymode]
 
     blt::table $inner \
@@ -2092,4 +2118,5 @@
 }
 
+
 itcl::body Rappture::VtkHeightmapViewer::BuildCameraTab {} {
     set inner [$itk_component(main) insert end \
@@ -2110,5 +2137,4 @@
         0,0 $inner.view_l -anchor e -pady 2 \
         0,1 $inner.view -anchor w -pady 2
-    blt::table configure $inner r0 -resize none
 
     set labels { qx qy qz qw xpan ypan zoom }
@@ -2117,9 +2143,9 @@
         label $inner.${tag}label -text $tag -font "Arial 9"
         entry $inner.${tag} -font "Arial 9"  -bg white \
-            -textvariable [itcl::scope _view(-$tag)]
+            -textvariable [itcl::scope _view($tag)]
         bind $inner.${tag} <Return> \
-            [itcl::code $this camera set -${tag}]
+            [itcl::code $this camera set ${tag}]
         bind $inner.${tag} <KP_Enter> \
-            [itcl::code $this camera set -${tag}]
+            [itcl::code $this camera set ${tag}]
         blt::table $inner \
             $row,0 $inner.${tag}label -anchor e -pady 2 \
@@ -2130,6 +2156,6 @@
     checkbutton $inner.ortho \
         -text "Orthographic Projection" \
-        -variable [itcl::scope _view(-ortho)] \
-        -command [itcl::code $this camera set -ortho] \
+        -variable [itcl::scope _view(ortho)] \
+        -command [itcl::code $this camera set ortho] \
         -font "Arial 9"
     blt::table $inner \
@@ -2138,5 +2164,5 @@
     incr row
 
-    blt::table configure $inner c* -resize none
+    blt::table configure $inner c* r* -resize none
     blt::table configure $inner c2 -resize expand
     blt::table configure $inner r$row -resize expand
@@ -2152,13 +2178,13 @@
         }
         "set" {
-            set what [lindex $args 0]
-            set x $_view($what)
+            set who [lindex $args 0]
+            set x $_view($who)
             set code [catch { string is double $x } result]
             if { $code != 0 || !$result } {
                 return
             }
-            switch -- $what {
-                "-ortho" {
-                    if {$_view($what)} {
+            switch -- $who {
+                "ortho" {
+                    if {$_view(ortho)} {
                         SendCmd "camera mode ortho"
                     } else {
@@ -2166,14 +2192,14 @@
                     }
                 }
-                "-xpan" - "-ypan" {
+                "xpan" - "ypan" {
                     PanCamera
                 }
-                "-qx" - "-qy" - "-qz" - "-qw" {
-                    set q [ViewToQuaternion]
+                "qx" - "qy" - "qz" - "qw" {
+                    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
                     $_arcball quaternion $q
                     EventuallyRotate $q
                 }
-                "-zoom" {
-                    SendCmd "camera zoom $_view($what)"
+                "zoom" {
+                    SendCmd "camera zoom $_view(zoom)"
                 }
             }
@@ -2259,6 +2285,6 @@
     array set style {
         -color BCGYR
+        -opacity 100
         -levels 10
-        -opacity 1.0
     }
     set stylelist [$dataobj style $comp]
@@ -2275,12 +2301,12 @@
     # the code to handle aberrant cases.
 
-    if { $_changed(-opacity) } {
-        set style(-opacity) [expr $_settings(-opacity) * 0.01]
-    }
-    if { $_changed(-numisolines) } {
-        set style(-levels) $_settings(-numisolines)
-    }
-    if { $_changed(-colormap) } {
-        set style(-color) $_settings(-colormap)
+    if { $_changed(opacity) } {
+        set style(-opacity) $_settings(opacity)
+    }
+    if { $_changed(numIsolines) } {
+        set style(-levels) $_settings(numIsolines)
+    }
+    if { $_changed(colormap) } {
+        set style(-color) $_settings(colormap)
     }
     if { $_currentColormap == "" } {
@@ -2288,10 +2314,11 @@
     }
     if { [info exists style(-stretchtofit)] } {
-        set _settings(-stretchtofit) $style(-stretchtofit)
-        AdjustSetting -stretchtofit
-    }
+        set _settings(stretchToFit) $style(-stretchtofit)
+        AdjustSetting stretchToFit
+    }
+    set _currentOpacity $style(-opacity)
     if { $_currentNumIsolines != $style(-levels) } {
         set _currentNumIsolines $style(-levels)
-        set _settings(-numisolines) $_currentNumIsolines
+        set _settings(numIsolines) $_currentNumIsolines
         $itk_component(numisolines) value $_currentNumIsolines
         UpdateContourList
@@ -2300,18 +2327,16 @@
     SendCmd "outline add $tag"
     SendCmd "outline color [Color2RGB $itk_option(-plotforeground)] $tag"
-    SendCmd "outline visible $_settings(-outline) $tag"
+    SendCmd "outline visible $_settings(outline) $tag"
     set scale [GetHeightmapScale]
     SendCmd "[list heightmap add contourlist $_contourList $scale $tag]"
-    set _comp2scale($tag) $_settings(-heightmapscale)
-    SendCmd "heightmap edges $_settings(-edges) $tag"
-    SendCmd "heightmap wireframe $_settings(-wireframe) $tag"
-    SetCurrentColormap $style(-color)
+    set _comp2scale($tag) $_settings(heightmapScale)
+    SendCmd "heightmap edges $_settings(edges) $tag"
+    SendCmd "heightmap wireframe $_settings(wireframe) $tag"
+    SetCurrentColormap $style(-color) 
     set color [$itk_component(isolinecolor) value]
     SendCmd "heightmap isolinecolor [Color2RGB $color] $tag"
-    SendCmd "heightmap lighting $_settings(-isheightmap) $tag"
-    SendCmd "heightmap isolines $_settings(-isolinesvisible) $tag"
-    SendCmd "heightmap surface $_settings(-colormapvisible) $tag"
-    SendCmd "heightmap opacity $style(-opacity) $tag"
-    set _settings(-opacity) [expr $style(-opacity) * 100.0]
+    SendCmd "heightmap lighting $_settings(isHeightmap) $tag"
+    SendCmd "heightmap isolines $_settings(isolinesVisible) $tag"
+    SendCmd "heightmap surface $_settings(colormapVisible) $tag"
 }
 
@@ -2372,5 +2397,5 @@
     }
     set x [expr $w - 2]
-    if { !$_settings(-legendvisible) } {
+    if { !$_settings(legendVisible) } {
 	$c delete legend
 	return
@@ -2380,15 +2405,12 @@
 	# If there's a legend title, create a text item for the title.
         $c create text $x $y \
-            -anchor ne \
-            -fill $itk_option(-plotforeground) -tags "title legend" \
-            -font $font
-        if { $title != "" } {
-            incr y $lineht
-        }
+		-anchor ne \
+		-fill $itk_option(-plotforeground) -tags "title legend" \
+		-font $font 
 	$c create text $x $y \
-            -anchor ne \
-            -fill $itk_option(-plotforeground) -tags "vmax legend" \
-            -font $font
-        incr y $lineht
+	    -anchor ne \
+	    -fill $itk_option(-plotforeground) -tags "vmax legend" \
+	    -font $font
+	incr y $lineht
 	$c create image $x $y \
 	    -anchor ne \
@@ -2414,5 +2436,5 @@
     array unset _isolines
     if { $color != "none"  && [info exists _limits($_curFldName)] && 
-         $_settings(-isolinesvisible) && $_currentNumIsolines > 0 } {
+         $_settings(isolinesVisible) && $_currentNumIsolines > 0 } {
 
         foreach { vmin vmax } $_limits($_curFldName) break
@@ -2581,5 +2603,5 @@
         invoke {
             $itk_component(field) value $_curFldLabel
-            AdjustSetting -field
+            AdjustSetting field
         }
         default {
@@ -2590,6 +2612,6 @@
 
 itcl::body Rappture::VtkHeightmapViewer::GetHeightmapScale {} {
-    if {  $_settings(-isheightmap) } {
-	set val $_settings(-heightmapscale)
+    if {  $_settings(isHeightmap) } {
+	set val $_settings(heightmapScale)
 	set sval [expr { $val >= 50 ? double($val)/50.0 : 1.0/(2.0-(double($val)/50.0)) }]
 	return $sval
@@ -2607,14 +2629,14 @@
         bottom "0 1 0 0"
     }
-    foreach name { -qw -qx -qy -qz } value $positions($side) {
+    foreach name { qw qx qy qz } value $positions($side) {
         set _view($name) $value
     } 
-    set q [ViewToQuaternion]
+    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
     $_arcball quaternion $q
     SendCmd "camera orient $q"
     SendCmd "camera reset"
-    set _view(-xpan) 0
-    set _view(-ypan) 0
-    set _view(-zoom) 1.0
+    set _view(xpan) 0
+    set _view(ypan) 0
+    set _view(zoom) 1.0
 }
 
